Entities ESG Cases Report
Trigger an asynchronous ESG Cases PDF report for one entity
The generated task produces a PDF report listing the cases of the entity. See Company ESG Report for the content of the report and a partial example.
UNGC sections are only present if your account has access to UNGC data. Contact your account manager if you want to enable UNGC access.
Request
Request Body
start_datedateStart of the report period.
Defaults to 12 months before
Example: "2025-10-06"last_activity.last_activitydateEnd of the report period.
Defaults to today.
Example: "2026-10-06"periodstring (enum)Granularity of the exposure over time chart.
Default: "month"Values: "day", "week", "month", "quarter", "year"categorystring (enum)Filter by category.
Values: "E", "S", "G"contentstring[]translatelanguage-code (enum)Language to translate the report content to (titles, summaries, company description, sectors and ESG labels).
If empty, the content stays in its original language.
Example:
Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"...frenchlocalestring (enum)Language of the PDF labels and fonts, everything in the report that is not data.
The data itself is not affected: use
translateto translate it.Accepts a code or a language name:
Default: "en"Values: "en", "english", "eng", "fr", "french", "fre", "ja", "japanese", "jpn"en/english,fr/french,ja/japanese.date_targetstring (enum)Target for date filters. 'case' value filters on the
Values: "case", "event"start_dateand thelast_activityfields of the cases. 'event' value filters on thestart_dateand theend_datefields of the events.
{
"start_date": "2025-10-06",
"last_activity": "2026-10-06",
"period": "day",
"category": "E",
"content": [
"string"
],
"translate": "en",
"locale": "en",
"date_target": "case"
}Response
Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "entity_id",
"reason": "invalid_type"
}
]
}Not found
message*stringError message.
Example: "The requested entity does not exist or is not visible to your company."code*number (enum)Error code.
Values: 404reason*string (enum)Error reason.
Values: "not_found"
{
"message": "The requested entity does not exist or is not visible to your company.",
"code": 404,
"reason": "not_found"
}Too many requests
message*stringError message.
Example: "You already have 5 company_esg_cases_report tasks waiting in queue. Please wait for one to start before requesting a new one."code*number (enum)Error code.
Values: 429reason*string (enum)Error reason.
Values: "too_many_requests"
{
"message": "You already have 5 company_esg_cases_report tasks waiting in queue. Please wait for one to start before requesting a new one.",
"code": 429,
"reason": "too_many_requests"
}Generic errors are not shown, see Errors for more details.